[ruby-opengl-devel] Release 0.40.0 of ruby-opengl

James Adam james.adam at gmail.com
Thu Jul 19 03:45:35 EDT 2007

I had to make a small addition to ext/common/common.h, because
APIENTRY wasn't defined (MacOSX 10.4.10 here). I'll commit my change
into the trunk.

You may wish to merge from revisions 203-206 into the 0.40.0 tag,
because without this APIENTRY definition the GL code doesn't compile
for me at all...


On 7/19/07, Al Hoang <hoanga at alum.rpi.edu> wrote:
> Hi all,
>     Yesterday I quietly tagged and uploaded the 0.40.0 release of ruby-opengl.
> By now it should be mirrored across all the rubyforge mirrors.
> Some changes gleaned from the changelog:
> o Support for OpenGL 1.2, 1.3, 1.4, 1,5, 2.0 functions
> o A more comprehensive test suite
> o Multiple bug fixes
> o Added more example code
> o Win32 support
> I've currently tested the gem install on the following platforms:
>  * Ubuntu Linux 7.04
>     Jan, if you have a win32 binary gem already laying around, could you load
> that to the rubyforge site?  I'm sure that will be a boon to many Windows users
> and perhaps we can nudge the all-in-one installer maintainer to see about
> including the ruby-opengl gem instead of the old Yoshi binding one.
> Cheers,
> Alain
> _______________________________________________
> ruby-opengl-devel mailing list
> ruby-opengl-devel at rubyforge.org
> http://rubyforge.org/mailman/listinfo/ruby-opengl-devel

* J *

More information about the ruby-opengl-devel mailing list